# adp

> see https://aka.ms/autorest

This is the AutoRest configuration file for adp.

## Getting Started

To build the SDKs for My API, simply install AutoRest via `npm` (`npm install -g autorest`) and then run:

> `autorest readme.md`

To see additional help and options, run:

> `autorest --help`

For other options on installation see [Installing AutoRest](https://aka.ms/autorest/install) on the AutoRest github page.

---

## Configuration

### Basic Information

These are the global settings for the adp.

``` yaml
title: AdpManagementClient
openapi-type: arm
openapi-subtype: rpaas
tag: package-2021-05
```


### Tag: package-2021-05

These settings apply only when `--tag=package-2021-05` is specified on the command line.

```yaml $(tag) == 'package-2021-05'
input-file:
  - Microsoft.AutonomousDevelopmentPlatform/stable/2021-05-12/adp.json
```
### Tag: package-2020-07-01-preview

``` yaml $(tag) == 'package-2020-07-01-preview'
version: 2020-07-01-preview
version-with-underscores: 2020_07_01_preview
input-file:
  - Microsoft.AutonomousDevelopmentPlatform/preview/2020-07-01-preview/adp.json
```

### Tag: package-2021-02-01-preview

``` yaml $(tag) == 'package-2021-02-01-preview'
version: 2021-02-01-preview
version-with-underscores: 2021_02_01_preview
input-file:
  - Microsoft.AutonomousDevelopmentPlatform/preview/2021-02-01-preview/adp.json
```

---

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-ruby
    after_scripts:
      - bundle install && rake arm:regen_all_profiles['azure_mgmt_adp']
  - repo: azure-cli-extensions
  - repo: azure-resource-manager-schemas
```

## Go

See configuration in [readme.go.md](./readme.go.md)

## Python

See configuration in [readme.python.md](./readme.python.md)

## Ruby

See configuration in [readme.ruby.md](./readme.ruby.md)

## TypeScript

See configuration in [readme.typescript.md](./readme.typescript.md)

## CSharp

See configuration in [readme.csharp.md](./readme.csharp.md)
