# Deployment Admin

> see https://aka.ms/autorest

This is the AutoRest configuration file for Deployment Admin.

---
## Getting Started
To build the SDK for Deployment Admin, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration

### Basic Information
These are the global settings for the Deployment Resource Provider API.

``` yaml
title: DeploymentAdminClient
description: Deployment Admin Client
openapi-type: arm
tag: package-2019-01-01
```

### Tag: package-2019-01-01

These settings apply only when `--tag=package-2019-01-01` is specified on the command line.

``` yaml $(tag) == 'package-2019-01-01'
input-file:
    - Microsoft.Deployment.Admin/preview/2019-01-01/Deployment.json
    - Microsoft.Deployment.Admin/preview/2019-01-01/ActionPlan.json
    - Microsoft.Deployment.Admin/preview/2019-01-01/ActionPlanOperation.json
    - Microsoft.Deployment.Admin/preview/2019-01-01/ActionPlanOperationAttempt.json
    - Microsoft.Deployment.Admin/preview/2019-01-01/FileContainer.json
    - Microsoft.Deployment.Admin/preview/2019-01-01/Locations.json
    - Microsoft.Deployment.Admin/preview/2019-01-01/OperationResults.json
    - Microsoft.Deployment.Admin/preview/2019-01-01/ProductDeployment.json
    - Microsoft.Deployment.Admin/preview/2019-01-01/ProductPackage.json
    - Microsoft.Deployment.Admin/preview/2019-01-01/ProductSecret.json
```
### Tag: package-2018-07-01

These settings apply only when `--tag=package-2018-07-01` is specified on the command line.

``` yaml $(tag) == 'package-2018-07-01'
input-file:
    - Microsoft.Deployment.Admin/preview/2018-07-01/FileContainer.json
    - Microsoft.Deployment.Admin/preview/2018-07-01/ProductPackage.json
```
---
# Code Generation

## C#

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.AzureStack.Management.Deployment.Admin
  payload-flattening-threshold: 1
  output-folder: $(csharp-sdks-folder)/Generated
  clear-output-folder: true
```

## Multi-API/Profile support for AutoRest v3 generators

AutoRest V3 generators require the use of `--tag=all-api-versions` to select api files.

This block is updated by an automatic script. Edits may be lost!

``` yaml $(tag) == 'all-api-versions' /* autogenerated */
# include the azure profile definitions from the standard location
require: $(this-folder)/../../../../profiles/readme.md

# all the input files across all versions
input-file:
  - $(this-folder)/Microsoft.Deployment.Admin/preview/2019-01-01/Deployment.json
  - $(this-folder)/Microsoft.Deployment.Admin/preview/2019-01-01/ActionPlan.json
  - $(this-folder)/Microsoft.Deployment.Admin/preview/2019-01-01/ActionPlanOperation.json
  - $(this-folder)/Microsoft.Deployment.Admin/preview/2019-01-01/ActionPlanOperationAttempt.json
  - $(this-folder)/Microsoft.Deployment.Admin/preview/2019-01-01/FileContainer.json
  - $(this-folder)/Microsoft.Deployment.Admin/preview/2019-01-01/Locations.json
  - $(this-folder)/Microsoft.Deployment.Admin/preview/2019-01-01/OperationResults.json
  - $(this-folder)/Microsoft.Deployment.Admin/preview/2019-01-01/ProductDeployment.json
  - $(this-folder)/Microsoft.Deployment.Admin/preview/2019-01-01/ProductPackage.json
  - $(this-folder)/Microsoft.Deployment.Admin/preview/2019-01-01/ProductSecret.json
  - $(this-folder)/Microsoft.Deployment.Admin/preview/2018-07-01/FileContainer.json
  - $(this-folder)/Microsoft.Deployment.Admin/preview/2018-07-01/ProductPackage.json

```

If there are files that should not be in the `all-api-versions` set,
uncomment the  `exclude-file` section below and add the file paths.

``` yaml $(tag) == 'all-api-versions'
#exclude-file: 
#  - $(this-folder)/Microsoft.Example/stable/2010-01-01/somefile.json
```
