# Cognitive Services Local Search SDK

> see https://aka.ms/autorest

Configuration for generating Local Search SDK.

The current release is `release_1_0`.

``` yaml

tag: release_1_0
add-credentials: true
openapi-type: data-plane
```
# Releases

### Release 1.0
These settings apply only when `--tag=release_1_0` is specified on the command line.

``` yaml $(tag) == 'release_1_0'
input-file: stable/v1.0/LocalSearch.json
```

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-node
```

## CSharp Settings
These settings apply only when `--csharp` is specified on the command line.
``` yaml $(csharp)
csharp:
  namespace: Microsoft.Azure.CognitiveServices.Search.LocalSearch
  output-folder: $(csharp-sdks-folder)/CognitiveServices/Search.BingLocalSearch/src/Generated
```

## Go

See configuration in [readme.go.md](./readme.go.md)

## JavaScript/TypeScript

See configuration in [readme.typescript.md](./readme.typescript.md)

## Node.js

See configuration in [readme.nodejs.md](./readme.nodejs.md)

## Suppressions
Suppressing errors due to API design:
``` yaml
directive:
  - suppress: R3016
    reason: _type is a polymorphic discriminator that can't be changed.
```

## Multi-API/Profile support for AutoRest v3 generators 

AutoRest V3 generators require the use of `--tag=all-api-versions` to select api files.

This block is updated by an automatic script. Edits may be lost!

``` yaml $(tag) == 'all-api-versions' /* autogenerated */
# include the azure profile definitions from the standard location
require: $(this-folder)/../../../../profiles/readme.md

# all the input files across all versions
input-file:
  - $(this-folder)/stable/v1.0/LocalSearch.json

```

If there are files that should not be in the `all-api-versions` set, 
uncomment the  `exclude-file` section below and add the file paths.

``` yaml $(tag) == 'all-api-versions'
#exclude-file: 
#  - $(this-folder)/Microsoft.Example/stable/2010-01-01/somefile.json
```

