# Cognitive Services Speaker Recognition SDKs

> see https://aka.ms/autorest

Configuration for generating Speaker Verification SDK.

``` yaml
tag: verification_2_0_preview
add-credentials: true
openapi-type: data-plane
```

The current release for the Authoring Endpoint is `verification_2_0_preview`.

# Releases

## verification 2.0
These settings apply only when `--tag=verification_2_0_preview` is specified on the command line.

``` yaml $(tag) == 'verification_2_0_preview'
input-file: preview/v2.0/Verification.json
```

---

# Code Generation


## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-python
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-node
```

### CSharp Settings
These settings apply only when `--csharp` is specified on the command line.
``` yaml $(csharp)
csharp:
  sync-methods: None
  license-header: MICROSOFT_MIT_NO_VERSION
  azure-arm: false
  namespace: Microsoft.Azure.CognitiveServices.speech.speaker.verification
  output-folder: $(csharp-sdks-folder)/CognitiveServices/speech.speaker.verification/src/Generated
  clear-output-folder: true
```

## Java

These settings apply only when `--java` is specified on the command line.
Please also specify `--azure-libraries-for-java-folder=<path to the root directory of your azure-libraries-for-java clone>`.

``` yaml $(java)
java:
  azure-arm: true
  namespace: com.microsoft.azure.cognitiveservices.speech.speaker.verification
  license-header: MICROSOFT_MIT_NO_CODEGEN
  payload-flattening-threshold: 1
  output-folder: $(azure-libraries-for-java-folder)/cognitiveservices/data-plane/speech/speaker/verification
  with-optional-parameters: true
  with-single-async-method: true
```

## Multi-API/Profile support for AutoRest v3 generators 

AutoRest V3 generators require the use of `--tag=all-api-versions` to select api files.

This block is updated by an automatic script. Edits may be lost!

``` yaml $(tag) == 'all-api-versions' /* autogenerated */
# include the azure profile definitions from the standard location
require: $(this-folder)/../../../../../profiles/readme.md

# all the input files across all versions
input-file:
  - $(this-folder)/preview/v2.0/Verification.json

```

If there are files that should not be in the `all-api-versions` set, 
uncomment the  `exclude-file` section below and add the file paths.

``` yaml $(tag) == 'all-api-versions'
#exclude-file: 
#  - $(this-folder)/Microsoft.Example/stable/2010-01-01/somefile.json
```

