# DataShare
    
> see https://aka.ms/autorest

This is the AutoRest configuration file for DataShare.



---
## Getting Started 
To build the SDK for DataShare, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information 
These are the global settings for the DataShare API.

``` yaml
openapi-type: arm
tag: package-2020-09-01
```


### Tag: package-2018-11-01-preview

These settings apply only when `--tag=package-2018-11-01-preview` is specified on the command line.

``` yaml $(tag) == 'package-2018-11-01-preview'
input-file:
- Microsoft.DataShare/preview/2018-11-01-preview/DataShare.json
```

### Tag: package-2019-11-01

These settings apply only when `--tag=package-2019-11-01` is specified on the command line.

``` yaml $(tag) == 'package-2019-11-01'
input-file:
- Microsoft.DataShare/stable/2019-11-01/DataShare.json
```

### Tag: package-2020-09-01

These settings apply only when `--tag=package-2020-09-01` is specified on the command line.

``` yaml $(tag) == 'package-2020-09-01'
input-file:
- Microsoft.DataShare/stable/2020-09-01/DataShare.json
```

### Tag: package-2020-10-01-preview

These settings apply only when `--tag=package-2020-10-01-preview` is specified on the command line.

``` yaml $(tag) == 'package-2020-10-01-preview'
input-file:
- Microsoft.DataShare/preview/2020-10-01-preview/DataShare.json
```

---
# Code Generation


## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net
  - repo: azure-sdk-for-python
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-go
  - repo: azure-cli-extensions
```


## C# 

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.Management.DataShare
  output-folder: $(csharp-sdks-folder)/datashare/Microsoft.Azure.Management.DataShare/src/Generated
  clear-output-folder: true
```

## Python

See configuration in [readme.python.md](./readme.python.md)

## Go

See configuration in [readme.go.md](./readme.go.md)

## Multi-API/Profile support for AutoRest v3 generators 

AutoRest V3 generators require the use of `--tag=all-api-versions` to select api files.

This block is updated by an automatic script. Edits may be lost!

``` yaml $(tag) == 'all-api-versions' /* autogenerated */
# include the azure profile definitions from the standard location
require: $(this-folder)/../../../profiles/readme.md

# all the input files across all versions
input-file:
  - $(this-folder)/Microsoft.DataShare/preview/2018-11-01-preview/DataShare.json
  - $(this-folder)/Microsoft.DataShare/stable/2019-11-01/DataShare.json
  - $(this-folder)/Microsoft.DataShare/stable/2020-09-01/DataShare.json
  - $(this-folder)/Microsoft.DataShare/preview/2020-10-01-preview/DataShare.json

```

If there are files that should not be in the `all-api-versions` set, 
uncomment the  `exclude-file` section below and add the file paths.

``` yaml $(tag) == 'all-api-versions'
#exclude-file: 
#  - $(this-folder)/Microsoft.Example/stable/2010-01-01/somefile.json
```