# IoT Central - API client generation
> see https://aka.ms/autorest
This is the AutoRest configuration file for Azure IoT Central.

## Getting Started
To build the SDK for Azure IoT Central, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:
> `autorest readme.md`
To see additional help and options, run:
> `autorest --help`
---

## Configuration

### Basic Information

These are the global settings for the IoT Central API.

``` yaml
openapi-type: data-plane
tag: package-2021-04-30-preview
```

### Tag: package-2021-04-30-preview
These settings apply only when `--tag=package-2021-04-30-preview` is specified on the command line.

```yaml $(tag) == 'package-2021-04-30-preview'
input-file:
  - Microsoft.IoTCentral/preview/2021-04-30-preview/iotcentral.json
```

### Tag: package-1.0
These settings apply only when `--tag=package-1.0` is specified on the command line.

```yaml $(tag) == 'package-1.0'
input-file:
  - Microsoft.IoTCentral/stable/1.0/iotcentral.json
```
---

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

```yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-python
  - repo: azure-sdk-for-net
  - repo: azure-sdk-for-js
    after_scripts:
      - bundle install && rake arm:regen_all_profiles['iotcentrals']
```

## Python

See configuration in [readme.python.md](./readme.python.md)

## TypeScript

See configuration in [readme.typescript.md](./readme.typescript.md)

## NodeJs

See configuration in [readme.nodejs.md](./readme.nodejs.md)

## CSharp

See configuration in [readme.csharp.md](./readme.csharp.md)

## Go

See configuration in [readme.go.md](./readme.go.md)