# IoT Security

> see https://aka.ms/autorest

This is the AutoRest configuration file for IoT Security.

---

## Getting Started

To build the SDK for Security, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`

---

## Configuration

## Suppression

``` yaml
directive:
  - suppress: PageableOperation
    from: defenderSettings.json
    where: '$.paths["/subscriptions/{subscriptionId}/providers/Microsoft.IoTSecurity/defenderSettings"].get'
    reason: The list returns limited number of items
  - suppress: PageableOperation
    from: sensors.json
    where: '$.paths["/{scope}/providers/Microsoft.IoTSecurity/sensors/{sensorName}"].get'
    reason: The list returns limited number of items
  - suppress: PageableOperation
    from: onPremiseSensors.json
    where: '$.paths["/subscriptions/{subscriptionId}/providers/Microsoft.IoTSecurity/onPremiseSensors"].get'
    reason: The list returns limited number of items
  - suppress: TopLevelResourcesListByResourceGroup
    from: onPremiseSensors.json
    where: $.definitions.OnPremiseSensor
    reason: The resource is managed in a subscription level (instead of inside a resource group)
```

### Basic Information

These are the global settings for the IoT Security API.

``` yaml
title: IoTSecurity
description: API spec for Microsoft.IoTSecurity (Azure Defender for IoT) resource provider
openapi-type: arm
tag: 2021-02-01-preview
```

### Tag: 2021-02-01-preview

These settings apply only when `--tag=2021-02-01-preview` is specified on the command line.

``` yaml $(tag) == '2021-02-01-preview'
input-file:
- Microsoft.IoTSecurity/preview/2021-02-01-preview/defenderSettings.json
- Microsoft.IoTSecurity/preview/2021-02-01-preview/operations.json
- Microsoft.IoTSecurity/preview/2021-02-01-preview/sites.json
- Microsoft.IoTSecurity/preview/2021-02-01-preview/sensors.json
- Microsoft.IoTSecurity/preview/2021-02-01-preview/onPremiseSensors.json
- Microsoft.IoTSecurity/preview/2021-02-01-preview/locations.json
- Microsoft.IoTSecurity/preview/2021-02-01-preview/deviceGroups.json
- Microsoft.IoTSecurity/preview/2021-02-01-preview/devices.json
```

---

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net
```

## C#

See configuration in [readme.csharp.md](./readme.csharp.md)
