# Notebooks

> see https://aka.ms/autorest

This is the AutoRest configuration file for Azure Notebooks Resource Management Client.

---
## Getting Started
To build the SDK for Azure Resource Management, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

---
## Configuration

### Basic Information
These are the global settings for the Azure Notebooks Resource Management Client.

``` yaml
openapi-type: arm
tag: package-2019-10-11-preview
```
### Tag: package-2019-10-11-preview

These settings apply only when `--tag=package-2019-10-11-preview` is specified on the command line.

``` yaml $(tag) == 'package-2019-10-11-preview'
input-file:
- notebooks.json
```

---
# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

## Multi-API/Profile support for AutoRest v3 generators 

AutoRest V3 generators require the use of `--tag=all-api-versions` to select api files.

This block is updated by an automatic script. Edits may be lost!

``` yaml $(tag) == 'all-api-versions' /* autogenerated */
# include the azure profile definitions from the standard location
require: $(this-folder)/../../../../../../profiles/readme.md

# all the input files across all versions
input-file:
  - $(this-folder)/notebooks.json

```

If there are files that should not be in the `all-api-versions` set, 
uncomment the  `exclude-file` section below and add the file paths.

``` yaml $(tag) == 'all-api-versions'
#exclude-file: 
#  - $(this-folder)/Microsoft.Example/stable/2010-01-01/somefile.json
```
