# DataLakeStorage

> see https://aka.ms/autorest

This is the AutoRest configuration file for DataLakeStorage.



---
## Getting Started
To build the SDK for DataLakeStorage, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information
These are the global settings for the DataLakeStorage API.

``` yaml
openapi-type: data-plane
tag: package-2019-10
use-internal-constructors: true
add-credentials: true
```

### Tag: package-2019-10

These settings apply only when `--tag=package-2019-10` is specified on the command line.

``` yaml $(tag) == 'package-2019-10'
input-file:
- Microsoft.StorageDataLake/stable/2019-10-31/DataLakeStorage.json
```

### Tag: package-2018-11

These settings apply only when `--tag=package-2018-11` is specified on the command line.

``` yaml $(tag) == 'package-2018-11'
input-file:
- Microsoft.StorageDataLake/stable/2018-11-09/DataLakeStorage.json
```

### Tag: package-2018-06-preview

These settings apply only when `--tag=package-2018-06-preview` is specified on the command line.

``` yaml $(tag) == 'package-2018-06-preview'
input-file:
- Microsoft.StorageDataLake/preview/2018-06-17/DataLakeStorage.json
```

---
# Code Generation


## Swagger to SDK

Swagger to SDK has been intentionally disabled for this spec.

## C#

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.Storage.DataLake
  output-folder: $(csharp-sdks-folder)/Storage/DataLake/Generated
  clear-output-folder: true
```


## Python

These settings apply only when `--python` is specified on the command line.
Please also specify `--python-sdks-folder=<path to the root directory of your azure-sdk-for-python clone>`.

``` yaml $(python)
python-mode: create
python:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  payload-flattening-threshold: 2
  namespace: azure.mgmt.media
  package-name: azure-datalake-storage
  clear-output-folder: true
  no-namespace-folders: true
```

### Python multi-api

Generate all API versions currently shipped for this package

```yaml $(python) && $(multiapi)
batch:
  - tag: package-2019-10
  - tag: package-2018-11
  - tag: package-2018-06-preview
```

### Tag: package-2019-10 and python

These settings apply only when `--tag=package-2019-10 --python` is specified on the command line.

``` yaml $(tag) == 'package-2019-10' && $(python)
python:
  namespace: azure.datalake.storage.v2019_10_31
  output-folder: $(python-sdks-folder)/azure-datalake-storage/azure/datalake/storage/v2019_10_31
```

### Tag: package-2018-11 and python

These settings apply only when `--tag=package-2018-11 --python` is specified on the command line.

``` yaml $(tag) == 'package-2018-11' && $(python)
python:
  namespace: azure.datalake.storage.v2018_11_09
  output-folder: $(python-sdks-folder)/azure-datalake-storage/azure/datalake/storage/v2018_11_09
```

### Tag: package-2018-06-preview and python

These settings apply only when `--tag=package-2018-06-preview --python` is specified on the command line.

``` yaml $(tag) == 'package-2018-06-preview' && $(python)
python:
  namespace: azure.datalake.storage.v2018_06_17_preview
  output-folder: $(python-sdks-folder)/azure-datalake-storage/azure/datalake/storage/v2018_06_17_preview
```

## Go

See configuration in [readme.go.md](./readme.go.md)

## Java

These settings apply only when `--java` is specified on the command line.
Please also specify `--azure-libraries-for-java-folder=<path to the root directory of your azure-libraries-for-java clone>`.

``` yaml $(java)
java:
  azure-arm: true
  namespace: com.microsoft.azure.storage.datalake
  license-header: MICROSOFT_MIT_NO_CODEGEN
  output-folder: $(azure-libraries-for-java-folder)/azure-storage-datalake
```

## Multi-API/Profile support for AutoRest v3 generators 

AutoRest V3 generators require the use of `--tag=all-api-versions` to select api files.

This block is updated by an automatic script. Edits may be lost!

``` yaml $(tag) == 'all-api-versions' /* autogenerated */
# include the azure profile definitions from the standard location
require: $(this-folder)/../../../profiles/readme.md

# all the input files across all versions
input-file:
  - $(this-folder)/Microsoft.StorageDataLake/stable/2019-10-31/DataLakeStorage.json
  - $(this-folder)/Microsoft.StorageDataLake/stable/2018-11-09/DataLakeStorage.json
  - $(this-folder)/Microsoft.StorageDataLake/preview/2018-06-17/DataLakeStorage.json

```

If there are files that should not be in the `all-api-versions` set, 
uncomment the  `exclude-file` section below and add the file paths.

``` yaml $(tag) == 'all-api-versions'
#exclude-file: 
#  - $(this-folder)/Microsoft.Example/stable/2010-01-01/somefile.json
```

